STRUCT AEAD_REQUEST(9)

NAME
struct_aead_request - AEAD request

SYNOPSIS

struct aead_request {
  struct crypto_async_request base;
  unsigned int assoclen;
  unsigned int cryptlen;
  u8 * iv;
  struct scatterlist * assoc;
  struct scatterlist * src;
  struct scatterlist * dst;
  void * __ctx[] CRYPTO_MINALIGN_ATTR;
};

MEMBERS

base
    Common attributes for async crypto requests

assoclen
    Length in bytes of associated data for authentication

cryptlen
    Length of data to be encrypted or decrypted

iv
    Initialisation vector

assoc
    Associated data

src
    Source data

dst
    Destination data

__ctx[] CRYPTO_MINALIGN_ATTR
    Start of private context data

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT